
  
  public partial class step2 : System.Web.UI.Page
  {
      protected void Page_Load(object sender, System.EventArgs e)
      {
          // 在此处放置用户代码以初始化页面
          if (Session["Question"] != 【null】 && Session["Question"].ToString() != "")
          {
              Label2.【Text】 = Session["Question"].ToString();
          }
          else
          {
              【Response】.Redirect("step1.aspx");
  
          }
  
      }
  
      //单击提交按钮
      protected void lnkSubmit_Click(object sender, System.EventArgs e)
      {
  
          if (TextBox1.Text.【Trim】() == 【Session】["Anwser"].ToString())
          {
              Response.Write("<【script】>alert(' 你的密码是:" + Session["Password"].ToString() + " ')</script>");
  
          }
          else
          {
              Response.Write("<script>alert(\"回答问题错误!\")</script>");
          }
      }
  }

--答案--
   Session   Response   script